Bug 1046 - Power Management Profiles (AC/Battery, Timed, Environment and screen saver)
: Power Management Profiles (AC/Battery, Timed, Environment and screen saver)
Status: RESOLVED FIXED
Product: Statusbar Widgets
Battery
: unspecified
: All All
: Medium enhancement with 27 votes (vote)
: Harmattan
Assigned To: unassigned
: battery-statusbar-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-12 01:59 UTC by Neil MacLeod
Modified: 2010-11-27 04:49 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Neil MacLeod (reporter) maemo.org 2007-02-12 01:59:15 UTC
Having only a single power management profile is too limiting.

At the very least it should be possible to specify different power management
settings according to whether the device is running on battery or AC power. For
example, if the device is on battery power the screen should dim then blank
within a relatively short period of time (eg. 2 mins then 5 mins) however when
the device is on AC power it should be possible to keep the screen permanently
illuminated (eg. 30 min to dim, and infinite until blank).

In addition, each profile (AC and Battery) should have independent display
illumination settings - eg. 50% display brightness when on battery and 80%
display brightness when on AC.

This kind of power management functionality has been standard on Windows Mobile
for at least the last 3 years (since - if not before - Windows Mobile 2003).

What would exceed Windows Mobile functionality is timed or environment-specific
power management profiles. To avoid confusing users these settings could be
specified via an "Advanced" dialog.

Timed profiles would obviously work based on day of week and time of day, for
example the device would use different AC and Battery settings when the device
is at "work" (Mon-Fri, 9am-5pm) and another set of AC/Battery settings when at
"home".

Environment-specific profiles would depend on the current network setting.
Different AC and battery settings could be used when the device is connected to
a "home" WiFi network, and a different profile when the device is connected to a
"work" network. There should also be a "default" profile when the device isn't
connected to any network at all.

Finally, it would be _really_ nice if the power management functionality could
be enhanced to support screen saver applications - this would only make sense
when running on AC power, and could be tied into either the Timed or Environment
profiles. For example, when running off AC power at work on my desk the N800
could display a clock, but when on AC power at home it could run a screen saver
with picture frame functionality.
Comment 1 Jon Smirl 2007-02-12 02:19:22 UTC
Chumby, www.chumby.org, does what you want the N800 to do when it is in AC
powered screen saver mode. Chumby supports all kinds of applets from world
clocks, stock tickers, photo album, weather, alarm clock, media player, etc. Now
that we have a stand for the N800 it is easy to see the screen while it is
charging. These applets are designed for passive display.
Comment 2 Randall Arnold 2007-07-08 05:26:30 UTC
This is a great idea.  Could the N800 support something like "wake on Skype
call"?
Comment 3 Quim Gil nokia 2007-07-17 01:30:21 UTC
Picking transitionally this bug. I have asked around, got some feedback but
we'll need to wait until August to have an answer.
Comment 4 Neil MacLeod (reporter) maemo.org 2007-07-17 01:39:34 UTC
Sounds good to me. My initial request is a bit vague (probably an
understatement!) but perhaps once we have more input from Maemo in terms of
what is possible and (more importantly) what isn't possible, we can firm up
what people would like to see in a future release.
Comment 5 Henri Bergius 2007-07-31 00:02:22 UTC
Some related discussion out on Internet Tablet Talk:

http://www.internettablettalk.com/forums/showthread.php?p=64169#post64155

Profile support in general would be very good in the Maemo platform. A central
profile preference could be used to modify lots of different things like
network settings, IM availability, power management and access to multimedia
libraries.

The setting would obviously need to be selectable (maybe I'm doing work from
home and so want to be in "work" profile), but some automation for switching
them could be built around WiFi networks and geographical positioning
(obtainable via GeoClue D-BUS service). e-d-s calendar could also act as a
profile switcher, if a calendar application is ever integrated to the platform.

Mac application NetworkLocation also shows some ideas of what to do with
profiles:

http://centrix.ca/NetworkLocation/index.php
Comment 6 Tony Maro 2007-08-09 18:04:29 UTC
I'll add my vote to this.  I spent an hour looking for how to do this when I
first got my n800 out of the box, because I just assumed that all such devices
would do like my old Handspring and PocketPC devices did.
Comment 7 tterribe 2007-08-24 02:27:27 UTC
See http://people.xiph.org/~tterribe/projects.html#acmonitor
for a solution to the screen dim/blanking problem.
Comment 8 Randall Arnold 2008-02-13 21:54:58 UTC
Now that I have an N810, and have used GPS, I see the need for another feature:
"wake on movement".  If I don't have the power plugged in, and tell the device
to keep the display on as long as it has external power, then the screen
eventually goes to sleep and doesn't wake when I start moving (ie, driving)
again.  Not good!
Comment 9 Ryan Abel maemo.org 2008-07-13 15:20:55 UTC
(In reply to comment #8)
> . . . then the screen
> eventually goes to sleep and doesn't wake when I start moving (ie, driving)
> again.  Not good!
> 

It may be worthwhile to note that Maemo Mapper has an option for this.
Comment 10 Quim Gil nokia 2008-08-04 11:18:41 UTC
Power profiles are planned to be officially supported in Harmattan.
Comment 11 Quim Gil nokia 2008-11-26 13:28:21 UTC
Roadmapped for Harmattan. Resolving as fixed since we have agreed that no
actual code is needed to resolve feature requests. Trust the Maemo SW product
managers.  ;)
Comment 12 Andre Klapper maemo.org 2009-09-18 23:17:44 UTC
(Splitting product "Home applets" into "Desktop widgets" and "Statusbar
widgets".
Sorry for the bugmail noise. You can filter by searching for this comment.)
Comment 13 Neil MacLeod (reporter) maemo.org 2010-11-27 04:49:40 UTC
This Nokia Beta application for Symbian looks *very* interesting, and could be
almost perfect for resolution of this bug...

http://www.youtube.com/watch?v=ik2YNxDKFIg